#!BuildIgnore:          post-build-checks
Summary:	Blocks brute force SSH attacks using iptables
Name:		blocksshd
Version:	1.3
Release:	11.2
License:	GPL
Group:		Productivity/Networking/SSH
URL:		http://sourceforge.net/projects/blocksshd/
BuildArch:	noarch
Source:		http://downloads.sourgeforge.net/blocksshd/blocksshd-%{version}.tar.bz2
Source1:	blocksshd-suse.init
Source2:	blocksshd.sysconfig
Patch0:		blocksshd-1.1.diff
Patch1:		blocksshd-suse-config.diff
Patch2:		blocksshd-redhat-config.diff
Patch3:		blocksshd-redhat-init.diff
Patch4:		blocksshd-regex.patch

Requires:	perl >= 5, /sbin/chkconfig

%if 0%{?suse_version}
Requires:	whois
%endif
%if 0%{?centos_version} || 0%{?fedora_version}
Requires:	jwhois
%endif

Requires:	perl-Net-Subnets
Requires:	perl-File-Tail
Requires:	perl-Net-DNS
Requires:	iptables
Requires:	sed
Requires:	mailx

AutoReq:	no
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
BlockSSHD is defense against SSHd brute force attacks.
The Perl script is based on BruteForceBlocker v1.2.3.
It dynamically adds IPTables rules in response to SSHd 
brute force attacks..

%prep

%setup -q
chmod 755 init
%if 0%{?suse_version}
%patch0 -p1 
%patch1 -p1
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%patch2 -p1
%patch3 -p1
%endif
%patch4

%build
%{__make}

%install
%{__rm} -rf "%{buildroot}"

%{__make} install DESTDIR="%{buildroot}" \
	BINDIR="%{_bindir}" \
	SYSCONFDIR="%{_sysconfdir}" \
	MANDIR="%{_mandir}" \
	INITRDDIR="%{_initrddir}" \
	MANCOMPRESS= \
	INSTALL="%{__install} -p"

%if 0%{?suse_version}
install -D -m 755 -d %{buildroot}/etc/init.d/
install -D -m 755 -d %{buildroot}/var/adm/fillup-templates
install -D -m 755 -d %{buildroot}/usr/sbin
cd %{buildroot}/usr/sbin
ln -s ../../etc/init.d/blocksshd rcblocksshd
install -m 755 %{S:1} %{buildroot}/etc/init.d/blocksshd
install -m 644 %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.blocksshd
%else
%{__make} init DESTDIR="%{buildroot}" \
	INITRDDIR="%{_initrddir}"
install -D -m 755 -d %{buildroot}/etc/sysconfig/
install -m 644 %{S:2} %{buildroot}/etc/sysconfig/blocksshd
%endif
 
%clean
%{__rm} -rf "%{buildroot}"

%files
%defattr(-,root,root,-)
%doc CHANGELOG README CREDITS INSTALL
%{_bindir}/blocksshd
%if 0%{?suse_version}
%{_sbindir}/rcblocksshd
%endif
%{_mandir}/man1/blocksshd.1*
%{_initrddir}/blocksshd
%config(noreplace) %{_sysconfdir}/blocksshd.conf
%if 0%{?suse_version}
/var/adm/fillup-templates/sysconfig.blocksshd
%else
%config(noreplace) %{_sysconfdir}/sysconfig/blocksshd
%endif

%post
/sbin/chkconfig --add blocksshd
%if 0%{?suse_version}
%fillup_and_insserv
%endif

%preun
/sbin/chkconfig --del blocksshd

%changelog
* Sun Oct 23 2011 Carsten Schoene <cs@linux-administrator.com> - 1.3-4
- added blocksshd-regex.patch

* Fri Jan 21 2011 Carsten Schoene <cs@linux-administrator.com> - 1.3-3
- fix redhat init script (sysconfig startup function call)

* Fri Sep 05 2008 Carsten Schoene <cs@linux-administrator.com> - 1.3-1
- update to blocksshd version 1.3
 - removed IPv6 support
- reworked config & init patches, added RHEL support

* Tue Jan 22 2008 Carsten Schoene <cs@linux-administrator.com>
- added more requirements
- added configuration patch & sysconfig for redhat based systems

* Mon Jan 21 2008 Carsten Schoene <cs@linux-administrator.com>
- adapted spec to SuSE distributions
- added SuSE init script and configuration patch

* Thu Apr 12 2007 James Turnbull <james@lovedthanlost.net> 1.1-1
- Added -p to spec file
- Changed download source from dl to download
- Changed description
- Added preun option
- Incremented blocksshd.spec to 1.1-1

* Tue Sep 26 2006 James Turnbull <james@lovedthanlost.net> 0.9
- Added sysconfdir installation

* Sun Jul 30 2006 James Turnbull <james@lovedthanlost.net> 0.7
- Added init file support

* Tue Jul 25 2006 James Turnbull <james@lovedthanlost.net> 0.7
- Spec file for Fedora Extras

